"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.createPrivateStorage = createPrivateStorage;
function createPrivateStorage() {
	var wm = new WeakMap();
	return self => {
		var obj = wm.get(self);
		if (obj) {
			return obj;
		} else {
			obj = Object.create(null);
			wm.set(self, obj);
			return obj;
		}
	};
}