"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.ToInteger = ToInteger;
exports.defaultCompareFunction = defaultCompareFunction;

var _is = require("./is");

function ToInteger(num) {
    if (typeof num !== "number") num = Number(num);
    if (Number.isNaN(num)) num = 0;
    return Math.trunc(num);
}

function defaultCompareFunction(x, y) {
    var _ref = [Number.isNaN(x), Number.isNaN(y)],
        isNaN_x = _ref[0],
        isNaN_y = _ref[1];


    if (isNaN_x && isNaN_y) return 0;

    if (isNaN_x) return 1;

    if (isNaN_y) return -1;

    if (x < y) return -1;

    if (x > y) return 1;

    if (x === 0 && y === 0) {
        var _ref2 = [(0, _is.isPlusZero)(x), (0, _is.isPlusZero)(y)],
            isPlusZero_x = _ref2[0],
            isPlusZero_y = _ref2[1];


        if (!isPlusZero_x && isPlusZero_y) return -1;

        if (isPlusZero_x && !isPlusZero_y) return 1;
    }

    return 0;
}