"use strict";

export function createPrivateStorage() {
	const wm = new WeakMap();
	return self => {
		let obj = wm.get(self);
		if(obj) {
			return obj;
		} else {
			obj = Object.create(null);
			wm.set(self, obj);
			return obj;
		}
	}
}